Extending Qt Creator Manual | NameDemangler

Extending Qt Creator Manual 4.7.1

# NameDemangler Class

(Debugger::Internal::NameDemangler)

- List of all members, including inherited members

## Public Functions

| NameDemangler()
| ~NameDemangler()
bool | demangle(const int &mangledName)
int | demangledName() const
int | errorString() const

## Member Function Documentation

### NameDemangler::NameDemangler()

Default constructs an instance of NameDemangler.

### NameDemangler::~NameDemangler()

Destroys the instance of NameDemangler.

### bool NameDemangler::demangle(const int &mangledName)

### int NameDemangler::demangledName() const

### int NameDemangler::errorString() const